package com.kingdee.eas.custom.interfacelog.businessoperationlog;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class OperateLogEntryCollection extends AbstractObjectCollection 
{
    public OperateLogEntryCollection()
    {
        super(OperateLogEntryInfo.class);
    }
    public boolean add(OperateLogEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(OperateLogEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(OperateLogEntryInfo item)
    {
        return removeObject(item);
    }
    public OperateLogEntryInfo get(int index)
    {
        return(OperateLogEntryInfo)getObject(index);
    }
    public OperateLogEntryInfo get(Object key)
    {
        return(OperateLogEntryInfo)getObject(key);
    }
    public void set(int index, OperateLogEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(OperateLogEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(OperateLogEntryInfo item)
    {
        return super.indexOf(item);
    }
}